unit XData.Wizard;

interface

uses
  ToolsAPI, TMS.ServerWizard.WizardAbstract, TMS.ServerWizard.Types;

type
  TXDataServerWizard = class(TTMSServerWizardAbstract)
  protected
    function GetServerKind : TServerKind; override;
  public
    function GetName: string; override;
  end;

  TXDataServerWebCoreWizard = class(TXDataServerWizard)
  end;

function CreateWebCoreWizard: IOTAWizard;

exports
  CreateWebCoreWizard;

implementation

{ TXDataServerWizard }

function TXDataServerWizard.GetName: string;
begin
  Result := 'TMS XData Server Application (Legacy)';
end;

function TXDataServerWizard.GetServerKind: TServerKind;
begin
  Result := TServerKind.skXData;
end;

function CreateWebCoreWizard: IOTAWizard;
begin
  Result := TXDataServerWebCoreWizard.Create;
end;

end.
